summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakub Moc <jakub@gentoo.org>2007-11-25 14:17:37 +0000
committerJakub Moc <jakub@gentoo.org>2007-11-25 14:17:37 +0000
commit8f44fa073e1470ceff989750ef4fb6eff2be4bad (patch)
treeb61d0f780ec5b254413cfe6e093529162a7b3d4f /www-apps
parentwww-apps/sphpblog: Version bump, remove old. (diff)
downloadwebapps-experimental-8f44fa073e1470ceff989750ef4fb6eff2be4bad.tar.gz
webapps-experimental-8f44fa073e1470ceff989750ef4fb6eff2be4bad.tar.bz2
webapps-experimental-8f44fa073e1470ceff989750ef4fb6eff2be4bad.zip
www-apps/sugarcrm: Version bump, remove old, drop PHP4 support.
svn path=/experimental/; revision=701
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/sugarcrm/ChangeLog4
-rw-r--r--www-apps/sugarcrm/Manifest6
-rw-r--r--www-apps/sugarcrm/sugarcrm-4.5.1h.ebuild (renamed from www-apps/sugarcrm/sugarcrm-4.5.1e.ebuild)24
3 files changed, 16 insertions, 18 deletions
diff --git a/www-apps/sugarcrm/ChangeLog b/www-apps/sugarcrm/ChangeLog
index 6de454f..0305c8b 100644
--- a/www-apps/sugarcrm/ChangeLog
+++ b/www-apps/sugarcrm/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 25 Nov 2007; Jakub Moc <jakub@gentoo.org> -sugarcrm-4.5.1e.ebuild,
+ +sugarcrm-4.5.1h.ebuild:
+ Version bump, remove old, drop PHP4 support.
+
14 Sep 2007; Jakub Moc <jakub@gentoo.org> sugarcrm-4.5.1e.ebuild:
Use virtual/httpd-cgi for webserver dependency
diff --git a/www-apps/sugarcrm/Manifest b/www-apps/sugarcrm/Manifest
index f8b80ec..9fb8d4c 100644
--- a/www-apps/sugarcrm/Manifest
+++ b/www-apps/sugarcrm/Manifest
@@ -1,5 +1,5 @@
AUX postinstall-en.txt 346 RMD160 1fc32ab8ed84ce490b0daf5ed5c9317ddf84c2d9 SHA1 96f7e222e6437aafb1bc77ce0a232fe069d2b538 SHA256 30485e2828ddbe7401626429d4318f952f50bd1666979035c59c860a5da86610
-DIST SugarOS-4.5.1e.zip 10443084 RMD160 4c33707550e2bee3bbcdde91020950077bc96118 SHA1 b321a8f8dbaf77d953bf1296708297ca97708b14 SHA256 8230f692deeaa0a693f1f55c0a810e94eaff03a90a5305f7de757893681c2548
-EBUILD sugarcrm-4.5.1e.ebuild 1815 RMD160 ad46e9c8f9f6dd15d4c4c79596c61372fc3f7d8c SHA1 c30dbfe3cf9e770357b82dca1372a38100e1f7c4 SHA256 b173521a23a7ca40ad12fbeb05388b03f2a8c86dcc5b8f5a37dbfc6dd1c6cfed
-MISC ChangeLog 801 RMD160 3c84968552882a2fc0898677425dc383de7b58fc SHA1 e6cca4be4845d2f4590135a59cb788c8337b1e76 SHA256 4bf782a03bd7e267fd9faceded9c3e169fd6063f50e6f67ef48316d87d0eb8a2
+DIST SugarOS-4.5.1h.zip 10453098 RMD160 bf6e92e13379b8b79fe92ea1cf1fb6c910ae07b1 SHA1 b22aabdc5bf27da1b4712d7fa0d96d1717f1ce39 SHA256 6483bc9d023966bea7f85218a05a5ca130b7f28be735f36f905f1466333866c5
+EBUILD sugarcrm-4.5.1h.ebuild 1570 RMD160 0ad310765103e2e2db170999af5dca379a6699dc SHA1 a297ef4c8578e64ab78d8cc431b0acc2555f3558 SHA256 47d71fe52049959317e0171176b33e3c38315f69148717a9ad680263cdbe6a78
+MISC ChangeLog 945 RMD160 a98e6ba2ec7882e08cba78bc62c4edcd76dafca0 SHA1 761461ba1fd2a1022d04206ba1547e8a23627683 SHA256 3dd2ecab45736eb04a701194b01dacacb590573113efeae7ec67783da7949836
MISC metadata.xml 162 RMD160 0b015f5ff17c4d8e7aee826d48b326cc19b1fed4 SHA1 671b30dafbea01228c8bb606af451a0795922840 SHA256 84ff2fc6c9a4af1b9dbe32aa81ab84c2958bc1bd65a9977686df2dcab6e420d0
diff --git a/www-apps/sugarcrm/sugarcrm-4.5.1e.ebuild b/www-apps/sugarcrm/sugarcrm-4.5.1h.ebuild
index f62c330..46aff9a 100644
--- a/www-apps/sugarcrm/sugarcrm-4.5.1e.ebuild
+++ b/www-apps/sugarcrm/sugarcrm-4.5.1h.ebuild
@@ -23,25 +23,18 @@ DEPEND="app-arch/unzip"
RDEPEND="dev-php/PEAR-DB
dev-php/PEAR-Cache_Lite
dev-php/PEAR-Mail_Mime
- virtual/httpd-cgi
- json? ( || ( >dev-lang/php-5.2 dev-php4/pecl-json ) )"
+ virtual/httpd-cgi"
-need_php_httpd
+need_php5_httpd
pkg_setup() {
- local flags="mysql ssl unicode"
- for f in curl imap zlib ; do
+ local flags="mysql ssl unicode xml"
+ for f in curl imap json zlib ; do
use ${f} && flags="${flags} ${f}"
done
- if has_version "=dev-lang/php-5*" ; then
- if ! PHPCHECKNODIE="yes" require_php_with_use xml ${flags} || \
- ( use json && ! PHPCHECKNODIE="yes" require_php_with_use json ) ; then
- eerror "${PHP_PKG} needs to be reinstalled with all of ${flags} USE flags enabled"
- use json && eerror "as well as with json USE flag enabled."
- die "Reinstall ${PHP_PKG} with the above-stated USE flags."
- fi
- else
- require_php_with_use expat ${flags}
+ if ! PHPCHECKNODIE="yes" require_php_with_use ${flags} ; then
+ eerror "${PHP_PKG} needs to be reinstalled with all of ${flags} USE flags enabled"
+ die "Reinstall ${PHP_PKG} with the above-stated USE flags."
fi
webapp_pkg_setup
@@ -63,9 +56,10 @@ src_install () {
webapp_configfile ${MY_HTDOCSDIR}/config.php
webapp_configfile ${MY_HTDOCSDIR}/.htaccess
- for foo in cache custom data modules config.php ; do
+ for foo in cache custom data modules ; do
webapp_serverowned -R ${MY_HTDOCSDIR}/${foo}
done
+ webapp_serverowned ${MY_HTDOCSDIR}/config.php
webapp_src_install
}